#ifndef UART_FEC_STD_DRV_H_
#define UART_FEC_STD_DRV_H_

#define FEC_STD_UART_HEAD 	0x7E
#define FEC_STD_UART_END 	0x7E

typedef struct{
	unsigned int state;
	unsigned int starttime_flag;
	unsigned int timecount;
}T_FEC_STD_RX_Prm;

extern T_FEC_STD_RX_Prm fec_std_rx_prm;

extern unsigned int fec_std_tx_is_busy(void);
extern void set_fec_std_tx_data(unsigned char * pdata);

extern void fec_std_rx_timeout_tick(void);
extern void fec_std_rx_irq(void);
extern void uart_fec_std_task(void);
extern void fec_std_rx_timeout_tick(void);

#endif
